## GstGLContextEGL

GstGLContextEGL

## Functions

GstGLContextEGL * | gst_gl_context_egl_new ()
guintptr | gst_gl_context_egl_get_current_context ()
gpointer | gst_gl_context_egl_get_proc_address ()

## Types and Values

struct | GstGLContextEGL

## Description

## Functions

### gst_gl_context_egl_new ()

    GstGLContextEGL *
    gst_gl_context_egl_new (GstGLDisplay *display);

### gst_gl_context_egl_get_current_context ()

    guintptr
    gst_gl_context_egl_get_current_context
                                   (void);

### gst_gl_context_egl_get_proc_address ()

    gpointer
    gst_gl_context_egl_get_proc_address (GstGLAPI gl_api,
                                         const gchar *name);

## Types and Values

### struct GstGLContextEGL

    struct GstGLContextEGL {
      GstGLContext context;

      EGLContext egl_context;
      EGLDisplay egl_display;
      EGLSurface egl_surface;
      EGLConfig  egl_config;

      GstGLAPI gl_api;

      const gchar *egl_exts;

      EGLImageKHR (*eglCreateImage) (EGLDisplay dpy, EGLContext ctx, EGLenum target,
          EGLClientBuffer buffer, const EGLint *attrib_list);
      EGLBoolean (*eglDestroyImage) (EGLDisplay dpy, EGLImageKHR image);

      /* Cached handle */
      EGLNativeWindowType window_handle;
    };